class RunConfig:
    _vm_name: str
    _localhost_port: int

    def __init__(self, vm_name: str, localhost_port: int) -> None:
        self._vm_name = vm_name
        self._localhost_port = localhost_port

    @property
    def vm_name(self) -> str:
        return self._vm_name
    
    @property
    def localhost_port(self) -> int:
        return self._localhost_port
